import { ApiKeyCreateDto, ApiKeyCreateResponseDto, ApiKeyResponseDto, ApiKeyUpdateDto } from "../dtos/api-key.dto";
import { AuthDto } from "../dtos/auth.dto";
import { BaseService } from "./base.service";
export declare class ApiKeyService extends BaseService {
    create(auth: AuthDto, dto: ApiKeyCreateDto): Promise<ApiKeyCreateResponseDto>;
    update(auth: AuthDto, id: string, dto: ApiKeyUpdateDto): Promise<ApiKeyResponseDto>;
    delete(auth: AuthDto, id: string): Promise<void>;
    getMine(auth: AuthDto): Promise<ApiKeyResponseDto>;
    getById(auth: AuthDto, id: string): Promise<ApiKeyResponseDto>;
    getAll(auth: AuthDto): Promise<ApiKeyResponseDto[]>;
    private map;
}
